Subject: Re: [PATCH] 2.6.18-rt7: fix more issues with 32-bit cycles_t in latency_trace.c (take 3)

From: Sergei Shtylyov <[email-masked]>
Date: Sun, 03 Dec 2006 22:33:54 +0300

Hello, I wrote:

> In addition to the clock jump-back check being falsely triggered by clock wrap
> with 32-bit cycles_t, as noticed by Kevin Hilman, there's another issue: using
> %Lx format to print 32-bit values warrants erroneous values on 32-bit machines
> like ARM and PPC32...

> Signed-off-by: Sergei Shtylyov <[email-masked]>

    What was the destiny of that patch? I haven't seen it accepted, haven't 
seen any comments... while this is not a mere warning fix. What am I expected 
to do to get it accepted -- recast it against 2.6.19-rt1?

>  kernel/latency_trace.c |   42 +++++++++++++++++++++---------------------
>  1 files changed, 21 insertions(+), 21 deletions(-)

WBR, Sergei